export declare enum TokenSymbol {
    DIGIT = 1,
    OPEN_PAREN = 2,
    CLOSE_PAREN = 3,
    PLUS = 4,
    MINUS = 5,
    MULTI = 6,
    DIVIDE = 7,
    END = 8,
    A = -1,
    B = -2,
    C = -3,
    D = -4,
    E = -5
}
/**
 * Priority map.
 */
export declare const ll1IdxMap: Readonly<Record<string, TokenSymbol>>;
export declare const idx: (c: string) => number;
export declare const sddTable: number[][];
export declare const MAX_TOKENS = 5;
export declare const MAX_SYMBOLS = 8;
export declare const ll1Table: Int8Array[];
